#
# spec file for package libqt5-qtquickcontrols
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define qt5_snapshot 0

Name:           libqt5-qtquickcontrols
Version:        5.6.1
Release:        2.2
Summary:        Qt 5 Quick Controls Addon
License:        SUSE-LGPL-2.1-with-digia-exception-1.1 or GPL-3.0
Group:          Development/Libraries/X11
Url:            http://qt.digia.com
%define base_name libqt5
%define real_version 5.6.1
%define so_version 5.6.1
%define tar_version qtquickcontrols-opensource-src-%{real_version}
Source:         %{tar_version}.tar.xz
# PATCH-FIX-UPSTREAM 0001-Fix-crash-on-exit-when-using-default-property-aliase.patch bnc#999376
Patch0:         0001-Fix-crash-on-exit-when-using-default-property-aliase.patch
BuildRequires:  fdupes
BuildRequires:  libQt5Core-private-headers-devel >= %{version}
BuildRequires:  libQt5Gui-private-headers-devel >= %{version}
BuildRequires:  libqt5-qtbase-devel >= %{version}
BuildRequires:  libqt5-qtdeclarative-private-headers-devel >= %{version}
BuildRequires:  pkgconfig(Qt5Qml) >= %{version}
BuildRequires:  pkgconfig(Qt5Quick) >= %{version}
%if %qt5_snapshot
#to create the forwarding headers
BuildRequires:  perl
%endif
BuildRequires:  xz
%requires_ge libQt5Widgets5
%requires_ge libQtQuick5
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Qt Quick Controls module provides a set of controls that
can be used to build complete interfaces in Qt Quick.

%package examples
Summary:        Qt5 quickcontrols examples
Group:          Development/Libraries/X11

%description examples
Examples for libqt5-qtquickcontrols module.

%prep
%setup -q -n qtquickcontrols-opensource-src-%{real_version}
%patch0 -p1

%build
%if %qt5_snapshot
#force the configure script to generate the forwarding headers (it checks whether .git directory exists)
mkdir .git
%endif
%qmake5
%make_jobs

%install
%qmake5_install

%files
%defattr(-,root,root,755)
%doc LICENSE.*
%{_libqt5_archdatadir}/qml/QtQuick

%files examples
%defattr(-,root,root,755)
%doc LICENSE.*
%{_libqt5_examplesdir}/

%changelog
* Fri Sep 16 2016 alarrosa@suse.com
- Add 0001-Fix-crash-on-exit-when-using-default-property-aliase.patch
  to fix a crash on apps (like kscreenlocker) that use default property
  aliases with layouts (bnc#999376, qt#51927)
* Tue Jun 14 2016 mlin@suse.com
- Update to 5.6.1 (boo#984605)
  * For more details please see:
    http://blog.qt.io/blog/2016/06/08/qt-5-6-1-released/
* Fri Apr  8 2016 alarrosa@suse.com
- Updated Qt to 5.6.0, a LTS release (fate#320330)
* Fri Mar 18 2016 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * For more details please see:
    http://blog.qt.io/blog/2016/03/16/qt-5-6-released/
    and https://wiki.qt.io/New_Features_in_Qt_5.6
* Wed Feb  3 2016 alarrosa@suse.com
- [ECO] Update Qt5 to version 5.5.1 (fate#319961, bnc#964864)
* Fri Oct 16 2015 hrvoje.senjan@gmail.com
- Update to 5.5.1
  * For more details please see:
    http://blog.qt.io/blog/2015/10/15/qt-5-5-1-released/
* Sun Aug 16 2015 hrvoje.senjan@gmail.com
- Update to 5.5.0
  * For more details please see:
    http://blog.qt.io/blog/2015/07/01/qt-5-5-released/
    and https://wiki.qt.io/New_Features_in_Qt_5.5
* Wed Jun  3 2015 hrvoje.senjan@gmail.com
- Update to 5.4.2
  * Bugfix release, for more details please see:
    http://blog.qt.io/blog/2015/06/02/qt-5-4-2-released/
* Wed May 20 2015 mlin@suse.com
- A bunch update to Qt5 5.3.2 for SLE12 SP1, bsc#931622
* Tue Sep 16 2014 hrvoje.senjan@gmail.com
- Update to 5.3.2 final
  * No changes since previous snapshot
  * Use official tars
* Thu Sep  4 2014 hrvoje.senjan@gmail.com
- Update to 5.3.2~git20140904 (ra7d03f5):
  * Tip of the bugfix 5.3.2 branch:
  * Fix menu/combobox popup positioning
  * Dialogs: correct C++ warnings
  * Dialogs must know when they are closed by the
    operating system
  * Dialog: initialize enabled and clicked buttons
  * Dialogs: buttonless fully-filled dialog example
  * Dialog: do not emit signals twice when a button
    is clicked
  * QtQuick.Dialogs FileDialog: default mode is ExistingFile
  * QtQuick.Dialogs FontDialog: fix a binding loop issue
  * Fix tooltip position when used with QQuickWidget
  * Doc: Updated the Calendar example documentation
  * Make the default style "Base" when built without
    widgets support
  * QQuickPopupWindow: Use actual item size as content size
  * QtQuick.Dialogs: check for inheriting from QApplication
  * Updated the example so that it adapts to the
    orientation change
  * Centralize determination of "no desktop" configurations
  * Do not embed the Desktop style into resources on
    irrelevant platforms
  * Improve implicit size of Calendar on high DPI devices.
  * MenuStyle: fix default text rendering type
  * SpinBox: don't force active focus when tapping
    the buttons on touch
  * Fixed incorrect cursor when moving column in TableView
  * Doc: Updated the example documentation
  * Dialog: Add missing docs
  * Fix editable ComboBox mouse cursor
  * Doc: Update image for ApplicationWindow
  * Fix SpinBox mouse cursor
  * Mention that ApplicationWindow is not visible by default.
  * Allow QT_QUICK_CONTROLS_STYLE pointing to resources
  * TextField/Area: soft dependency to inputMethodHints
  * Use the correct parent window for menu popups
  * Revise unstable and slow GridLayout auto test
  * Doc: Add a link to Tab in TabView documentation
  * Doc: Added images and missing snippets
  * Cleanup whitespace
  * Remove QtWidgets dependency for WinRT
  * Remove Widgets dependency for QNX
  * ComboBox: open the popup on release on touch devices
  * Slider: fix behavior inside a flickable on touch
  * Singleton SystemPalette
  * Kill unnecessary SystemPalette instances
  * Remove unused BasicButton::__textColor
  * Fix grammar in Layout::fillWidth and
    Layout::fillHeight documentation.
* Thu Aug  7 2014 hrvoje.senjan@gmail.com
- Fix summary and description
* Wed Jun 25 2014 hrvoje.senjan@gmail.com
- Update to 5.3.1
  * Bugfix release, for more details please see:
    http://blog.qt.digia.com/blog/2014/06/25/qt-5-3-1-released/
* Mon May 19 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0 final
  * Minor bugfixes over previous RC
* Thu May  8 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0 RC
  * For more details, please see
  http://blog.qt.digia.com/blog/2014/05/08/qt-5-3-release-candidate-available/
  and http://qt-project.org/wiki/New-Features-in-Qt-5.3
* Tue Mar 25 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0 beta
  * New feature release, please see
  http://blog.qt.digia.com/blog/2014/03/25/qt-5-3-beta-released/
  and http://qt-project.org/wiki/New-Features-in-Qt-5.3
- Added libqt5-qtbase-devel BuildRequires, to build examples subpackage
* Mon Feb 10 2014 mlin@suse.com
- Install LICENSE files to %%doc
* Wed Feb  5 2014 hrvoje.senjan@gmail.com
- Update to 5.2.1:
  * For more details please see:
    http://blog.qt.digia.com/blog/2014/02/05/qt-5-2-1-released/
* Thu Dec 12 2013 hrvoje.senjan@gmail.com
- Update to 5.2.0 final:
  * For more details please see:
    http://blog.qt.digia.com/blog/2013/12/12/qt-5-2-released-the-best-qt-yet/
    http://qt-project.org/qt5/qt52
    http://qt.digia.com/Product/Whats-New/Qt-52/
* Fri Nov 29 2013 hrvoje.senjan@gmail.com
- Update to 5.2 rc1
  * New feature release, please see
  http://blog.qt.digia.com/blog/2013/11/29/qt-5-2-release-candidate-1-available/
  and http://qt-project.org/wiki/New-Features-in-Qt-5.2
* Wed Oct 23 2013 hrvoje.senjan@gmail.com
- Update to 5.2 beta1
  * New feature release, please see
  http://blog.qt.digia.com/blog/2013/10/23/qt-5-2-beta-available/
  and http://qt-project.org/wiki/New-Features-in-Qt-5.2
* Thu Aug 29 2013 hrvoje.senjan@gmail.com
- Update to version 5.1.1:
  * Bugfix release, please see
  http://blog.qt.digia.com/blog/2013/08/28/qt-5-1-1-released/
  http://qt.gitorious.org/qt/qtquickcontrols/blobs/release/dist/changes-5.1.1
  and http://qt-project.org/wiki/Qt511KnownIssues for known issues
- Small spec cleanup
* Sun Jul  7 2013 stephan.binner@basyskom.com
- update to Qt 5.1 release
* Tue Jun 18 2013 stephan.binner@basyskom.com
- update to Qt 5.1 RC 1
* Mon May 20 2013 stephan.binner@basyskom.com
- update to Qt 5.1 Beta 1
* Tue Apr  9 2013 stephan.binner@basyskom.com
- initial package for Qt 5.1 Alpha 1
